#!/bin/sh

# This script should be called from connector_manager.sh, and accepts the following parameters:
#  start_myconnector.sh <CONNECTORNAME> <SERVERNAME> <OPTIONAL ADDITIONAL PARAMETERS>
#
#The file CWSharedEnv.sh defines the following in it's classpath, so there is no need to override any of these:
#Please go look at this file, on the solaris build, it is in the $CROSSWORLDS/setup directory.
#All of these are bundeled together into the CLASSPATH variable which is then exported for your use
#It defines things such as:
#CORECW
#RSA 
#CWUTILS 
#XML_PARSER 
#DATAHANDLERS 
#MQ 
#ORB1 
#ORB2 
#JVM_FLAGS 
#JRT 
#JAVA_SECURITY 
#WEBLOGIC 
#
################################################
# General connector variable initialization section
# No changes should be necessary
# set CONNECTOR_TYPE  -- This is needed to differentate Java from C++ conncetors 
# set CONDIR  the directory where the specific connector resides, then change to this directory
# set CONNAME the name to be the application connector that is starting
# set SERVER  the server name to be the interchange that is being targeted
# set CONJAR to the fullpath of the connector .jar file.

  
CONNAME=$1
SERVER=$2
. ${CROSSWORLDS}/bin/CWConnEnv.sh
echo $CWCLASSES
CONDIR=${CROSSWORLDS}/connectors/${CONNAME}

################################################
# Connector specific variable initialization section
# Set your Connector agent here 

#The following two sections tell the script what language the connector was written in,
# and help it make the correct calls. 
#Please enable one of the next sections

#For Java connector  
CONNECTOR_TYPE="-l"
CONNECTOR_AGENT=com.ibm.adapters.http.HAAgent
CONJAR=${CONDIR}/BIA_HTTP.jar


#End CAP

# Set any connector specific Variables here
CON_SPECIFIC_JAR_JSSE=${CONDIR}/dependencies/ibmjsse.jar
CON_SPECIFIC_JAR_MAIL=${CONDIR}/dependencies/mail.jar

CON_SPECIFIC_JAR_XML_DATAHANDLER=${CROSSWORLDS}/DataHandlers/CwXMLDataHandler.jar

# Set Conn specific classpath here 
#Any specific variables defined above need to be added to the CON_SPECIFIC_CLASSPATH below.
CON_SPECIFIC_CLASSPATH=${CON_SPECIFIC_JAR_MAIL}:${CON_SPECIFIC_JAR_XML_DATAHANDLER}

# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "

if [ -f ${CROSSWORLDS}/wbiart/wbiart.jar ]
then
# Please define the following variables that need to pass to callee
JCLASSES=${CONJAR}:${CON_SPECIFIC_CLASSPATH}:${CWCLASSES}
export JCLASSES
LibPath=
export LibPath
ExtDirs=
export ExtDirs
JVMArgs=
export JVMArgs

# Call base script start_adapter.sh to start the connector
exec start_adapter.sh -n${CONNAME}Connector -s${SERVER} -l${CONNECTOR_AGENT} $3 $4 $5

else


# We are using the JVM_FLAGS that are aet in the CWSharedEnv.sh file, if you need to use different flags,
#  Change $JVM_FLAGS to be what you need to use.
# No changes should be necessary below this line.

CWCLASSES=${CWCLASSES}
CLASSPATH=${CONJAR}:${CON_SPECIFIC_JAR_JSSE}:${CON_SPECIFIC_CLASSPATH}:${CWCLASSES}
echo $CLASSPATH
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"

if [ "$OS" = "SUNOS" ]
then
	LD_LIBRARY_PATH=${CONDIR}:${LD_LIBRARY_PATH}
	export LD_LIBRARY_PATH
elif [ "$OS" = "HP-UX" ]
then
	SHLIB_PATH=${CONDIR}:${SHLIB_PATH}
	export SHLIB_PATH
else
	LIBPATH=${CONDIR}:${LIBPATH}
	export LIBPATH
fi

exec ${CWJAVA} ${JVM_FLAGS} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9

fi
